CMSIS-NN: CMakeLists.txt File Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

| SET (ROOT ${CMSIS_PATH}) option(CONCATENATION"Concatenation"ON) option(FULLYCONNECTED"Fully Connected"ON) option(CONVOLUTION"Convolutions"ON) option(ACTIVATION"Activations"ON) option(POOLING"Pooling"ON) option(SOFTMAX"Softmax"ON) option(BASICMATHSNN"Basic Maths for NN"ON) option(RESHAPE"Reshape"ON) option(SVDF"SVDF"ON) option(NNSUPPORT"NN Support"ON) SET(NN $
CMSIS NN | list (APPEND CMAKE_MODULE_PATH ${NN}/Source) add_library(cmsis-nn STATIC) target_compile_options(cmsis-nn PRIVATE-Ofast) target_include_directories(cmsis-nn PUBLIC"$
Include | target_include_directories (cmsis-nn PUBLIC"${ROOT}/CMSIS/Core/Include") target_include_directories(cmsis-nn PUBLIC"$

## Function Documentation

CMSIS NN list | ( | APPEND CMAKE_MODULE_PATH ${NN}/ | Source | ) |

SET | ( | ROOT ${CMSIS_PATH} |  | ) |

Include target_include_directories | ( | cmsis-nn PUBLIC"${ROOT}/CMSIS/Core/Include" |  | ) |